Bug 1335300 - Features are not being associated correctly to job templates
Summary: Features are not being associated correctly to job templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 20:12 UTC by Stephen Benjamin
Modified: 2019-09-25 21:19 UTC (History)
3 users (show)

Fixed In Version: rubygem-foreman_remote_execution-0.3.0.11-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:28:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15017 0 None None None 2016-05-11 20:12:50 UTC

Description Stephen Benjamin 2016-05-11 20:12:49 UTC
In Katello on some installs, the feature is not correctly associated to the template on import. It may be some thing with how the features are registered in the engine.

Comment 1 Stephen Benjamin 2016-05-11 20:12:52 UTC
Created from redmine issue http://projects.theforeman.org/issues/15017

Comment 2 Stephen Benjamin 2016-05-11 20:12:56 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 3 Stephen Benjamin 2016-05-11 20:19:57 UTC
WORKAROUND: If not approved for 6.2, the user will have to go to the Administer / Remote Execution Features and assign all of the various katello templates to the features. Not a very pleasant experience.

Comment 5 Stephen Benjamin 2016-05-18 13:15:09 UTC
Verification steps:

1. Go to Administer / Remote Execution Features and verify that "Katello: Package Install" has a template associated

2. Test a package install in Katello via Remote execution (Hosts/ Content Hosts/ package install / Install via Remote Execution)

Comment 6 Bryan Kearney 2016-05-18 16:24:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15017 has been closed

Comment 7 jcallaha 2016-06-29 18:39:28 UTC
Failed QA in Satellite 6.2 Beta 2.
foreman-1.11.0.39-1.el7sat.noarch

Remote Execution Features are currently not populated by default.

Comment 9 jcallaha 2016-07-01 19:09:38 UTC
Verified in Satellite 6.2 Beta Snap 18.1.

The defaults are now correctly populated as expected.

Comment 10 Bryan Kearney 2016-07-27 11:28:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.